---
title: Window.ondeviceorientation
slug: Web/API/Window/ondeviceorientation
tags:
  - API
  - Device Orientation
  - Mobile
  - Orientation
  - Property
---
<p>{{ ApiRef() }}</p>

<h2 id="Summary">Summary</h2>

<p>An event handler for the {{ event("deviceorientation") }} event, which contains information about a relative device orientation change.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">window.ondeviceorientation = function(event) { ... };
window.addEventListener('deviceorientation', function(event) { ... });
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Device Orientation')}}</td>
   <td>{{Spec2('Device Orientation')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{ page("/en-US/docs/Web/API/DeviceOrientationEvent","Browser_compatibility") }}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ event("deviceorientation") }}</li>
 <li>{{ domxref("DeviceOrientationEvent") }}</li>
 <li><a href="/en/Detecting_device_orientation" title="Detecting device orientation">Detecting device orientation</a></li>
</ul>
